<template>
  <div>
    <Header/>
    <main>
      <div class="container mb-5" style="margin-top: 100px;">
        <div class="">
            <h2 class="mb-4">Semua berita</h2>
        </div>
        <div>
          <LoadingBuble v-if="loading"/>
        </div>
        <div class="row" >
          <Card v-for="blog in blogs" :key="blog.id" :blog="blog"> </Card>
        </div>    
      </div> 
    
      <div class="d-flex justify-content-center mb-5">     
          <b-pagination v-model="page" :total-rows="lengthPage"
            :per-page="perPage" pills size="lg" @change="handlePageChange">
          </b-pagination>     
      </div>
    </main>
    <Footer/>
  </div>
</template>

<script>
// @ is an alias to /src
import Header from '@/components/Header.vue'
import Footer from '@/components/Footer.vue'
import LoadingBuble from '@/components/Loading2.vue'
import Card from '@/components/Card.vue'
import axios from 'axios'

export default {
  name: 'Blogs',
  data: () => ({
    apiDomain: 'https://demo-api-vue.sanbercloud.com',
    blogs: [],
    page: 1,
    lengthPage:0,
    perPage:0,
    loading:false,
  }),

  components: {
    Header,
    Footer,
    Card,
    LoadingBuble,
  },
  methods: {
    async go() {
      this.loading = true
      let config = {
        method: 'get',
        url: this.apiDomain + "/api/v2/blog?page=" + this.page,
      };
      
      await axios(config) 
        .then(response => {
          // console.log(response)
          let { blogs } = response.data
          this.blogs = blogs.data
          this.page = blogs.current_page
          this.lengthPage = blogs.last_page
          this.perPage = blogs.per_page
          this.loading = false
            this.$toasted.show('Berhasil Menampilkan Semua Berita', {
                    type:'success',
                    duration: 2000,
                })
            // console.log(response.data);
        })
        .catch( error => {
          console.log(error)
        });
    },
    handlePageChange(value) {
      this.page = value;
    },
  },
  mounted() {
    this.go()
    document.title = " All Blogs"
  },
}
</script>